[arch-commits] Commit in autofs/trunk (PKGBUILD heimdal.patch)
Andrea Scarpino
andrea at archlinux.org
Wed Mar 3 01:09:30 UTC 2010
Date: Tuesday, March 2, 2010 @ 20:09:30
Author: andrea
Revision: 70998
upgpkg: autofs 5.0.5-2
FS#15654
Modified:
autofs/trunk/PKGBUILD
autofs/trunk/heimdal.patch
---------------+
PKGBUILD | 33 +++++++++++++++++----------------
heimdal.patch | 24 +++++++++++++++++-------
2 files changed, 34 insertions(+), 23 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2010-03-03 01:08:12 UTC (rev 70997)
+++ PKGBUILD 2010-03-03 01:09:30 UTC (rev 70998)
@@ -5,23 +5,23 @@
pkgname=autofs
pkgver=5.0.5
-pkgrel=1
-pkgdesc="A kernel-based automounter for Linux."
+pkgrel=2
+pkgdesc="A kernel-based automounter for Linux"
arch=('i686' 'x86_64')
url="http://wiki.autofs.net/FrontPage"
license=('GPL2')
-depends=('libldap>=2.4.18' 'libxml2' 'heimdal')
+depends=('libldap' 'libxml2' 'heimdal')
backup=(etc/autofs/auto.master etc/autofs/auto.misc etc/conf.d/autofs)
-install=autofs.install
+install=${pkgname}.install
source=("http://www.kernel.org/pub/linux/daemons/${pkgname}/v5/${pkgname}-${pkgver}.tar.bz2"
- 'autofs' 'autofs.conf.d' 'auto.master' 'auto.misc'
- 'heimdal.patch')
+ 'autofs' 'autofs.conf.d' 'auto.master' 'auto.misc'
+ 'heimdal.patch')
md5sums=('a1d262cb6ebef0c2dd0fe22232fb3d5a'
'e307bf6d2638e46eeb916cf42fe029b2'
'47f597c870410055e0fdb66103daf928'
'a6cefb591e77b31b79dbb7243646c96b'
'd8a15ec9186c5c0b36e5cea1e2739e8a'
- '1ee4825e26ad72bfe86acec3d3da5d2a')
+ 'efd46b6406b940cb48f7c6197790fb8e')
build() {
export MAKEFLAGS="-j1"
@@ -35,15 +35,16 @@
--with-mapdir=/etc/autofs \
--without-hesiod
make || return 1
+
+ sed -i "s:/etc:/etc/autofs:g" man/auto.master.5
+}
+
+package(){
+ cd ${srcdir}/${pkgname}-${pkgver}
make INSTALLROOT=${pkgdir} install
- local conf_file
- for conf_file in auto.{master,misc}; do
- install -D -m 644 ${srcdir}/$conf_file ${pkgdir}/etc/autofs/$conf_file
- done
-
- sed -i "s:/etc:/etc/autofs:g" ${pkgdir}/usr/share/man/man5/auto.master.5
- install -D -m 755 ${srcdir}/autofs ${pkgdir}/etc/rc.d/autofs
- install -D -m 644 ${srcdir}/autofs.conf.d ${pkgdir}/etc/conf.d/autofs
+ install -Dm644 ${srcdir}/auto.master ${pkgdir}/etc/autofs/auto.master || return 1
+ install -Dm644 ${srcdir}/auto.misc ${pkgdir}/etc/autofs/auto.misc || return 1
+ install -Dm755 ${srcdir}/autofs ${pkgdir}/etc/rc.d/autofs || return 1
+ install -Dm644 ${srcdir}/autofs.conf.d ${pkgdir}/etc/conf.d/autofs || return 1
}
-# vim: ts=2 sw=2 et ft=sh
Modified: heimdal.patch
===================================================================
--- heimdal.patch 2010-03-03 01:08:12 UTC (rev 70997)
+++ heimdal.patch 2010-03-03 01:09:30 UTC (rev 70998)
@@ -1,5 +1,5 @@
---- autofs-5.0.4/modules/cyrus-sasl.c~ 2009-01-11 17:18:55.000000000 +0100
-+++ autofs-5.0.4/modules/cyrus-sasl.c 2009-01-11 17:18:55.000000000 +0100
+--- autofs-5.0.5/modules/cyrus-sasl.c~ 2010-03-03 01:38:41.582901786 +0100
++++ autofs-5.0.5/modules/cyrus-sasl.c 2010-03-03 01:41:32.313704755 +0100
@@ -66,6 +66,15 @@
#endif
#endif
@@ -16,19 +16,29 @@
/*
* Once a krb5 credentials cache is setup, we need to set the KRB5CCNAME
* environment variable so that the library knows where to find it.
-@@ -451,11 +460,11 @@
+@@ -452,11 +452,11 @@
/* setup a principal for the ticket granting service */
ret = krb5_build_principal_ext(ctxt->krb5ctxt, &tgs_princ,
- krb5_princ_realm(ctxt->krb5ctxt, krb5_client_princ)->length,
- krb5_princ_realm(ctxt->krb5ctxt, krb5_client_princ)->data,
-+ krb5_realm_length(*krb5_princ_realm(ctxt->krb5ctxt, krb5_client_princ)),
-+ krb5_realm_data(*krb5_princ_realm(ctxt->krb5ctxt, krb5_client_princ)),
++ krb5_realm_length(*krb5_principal_get_realm(ctxt->krb5ctxt, krb5_client_princ)),
++ krb5_realm_data(*krb5_principal_get_realm(ctxt->krb5ctxt, krb5_client_princ)),
strlen(KRB5_TGS_NAME), KRB5_TGS_NAME,
- krb5_princ_realm(ctxt->krb5ctxt, krb5_client_princ)->length,
- krb5_princ_realm(ctxt->krb5ctxt, krb5_client_princ)->data,
-+ krb5_realm_length(*krb5_princ_realm(ctxt->krb5ctxt, krb5_client_princ)),
-+ krb5_realm_data(*krb5_princ_realm(ctxt->krb5ctxt, krb5_client_princ)),
++ krb5_realm_length(*krb5_principal_get_realm(ctxt->krb5ctxt, krb5_client_princ)),
++ krb5_realm_data(*krb5_principal_get_realm(ctxt->krb5ctxt, krb5_client_princ)),
0);
if (ret) {
error(logopt,
+--- autofs-5.0.5/modules/Makefile~ 2010-03-03 01:42:18.532868539 +0100
++++ autofs-5.0.5/modules/Makefile 2010-03-03 01:42:35.360367371 +0100
+@@ -43,7 +43,7 @@
+ ifeq ($(SASL), 1)
+ SASL_OBJ = cyrus-sasl.o
+ LDAP_FLAGS += $(SASL_FLAGS) $(XML_FLAGS) -DLDAP_THREAD_SAFE
+- LIBLDAP += $(LIBSASL) $(XML_LIBS)
++ LIBLDAP += $(LIBSASL) $(XML_LIBS) -lkrb5
+ endif
+ endif
\ No newline at end of file
More information about the arch-commits
mailing list